Subject: Purely technical Big5 story

From: "L.S.Ng" <[email-masked]>
Date: Tue, 23 Nov 1993 23:18:16 GMT

Replying to James Lin:

> I do not think it is natural to define a character set of a language
> simply considering about the "space problem" !?  What if we go back to
> the old days having those single sided 180K floppy disk, will then we cut
> off half of the characters and starting to use only those characters left
> in our daily life ?   Computer is just a tool designed to help us in our
> life.   Encoding is designed for human to use computer, not designed for
> computer to rule everything.

I heard of rumour that Chinese Language almost got Romanised just
because of the difficulties in computerisation. Well, technology solve
the problem. And now we are in the Nineties. What is 30 odd years
compared to 5000 years of history and culture??

By the way, you said:
> I do not think it is natural to define a character set of a language
> simply considering about the "space problem" !?

Of course I agree with you, from a Taiwanese point of view. But
'fortunately', the PRC did some previous work in simplifying the Char
set. So even before the publication of GB2312-80 standard, the XinHua
Zidian listed about 9000 Chinese characters. So it makes them so much
easier to formulate a set of 6768 character.

On the other hand, a traditional Chinese dictionary used to store some
13000 and more Chinese characters. So it is not technically possible for
you to suddenly adopt a set of roughly 7000 character.

The conclusion is, it is 'quite natural' for the PRC to do that, but not
Taiwanese.

(The same goes to Korea and Japan who used to have a smaller set of
Chinese character.)

> The 16X15 bitmap font file is split into 2 files just because the system
> is designed to seperate these two "most frequently used characters" and
> "less frequently used characters" for loading and buffering reasons.
> The character set is NOT too big.  As a matter of fact, it is not enough
> in many cases.  Like I mentioned, Chinese character encoding is really
> designed for helping us use our language on computers and should never
> restrict the use and the number of characters in the language simply for
> computer sizing reasons.

I had a closer look into the font files of Eten 3.0. The files are:

Fontfile        Size
STDFONTS.15   360330
STDFONT1.15    32490
SPCFONT.15     10950
SPCFSUPP.15    12240
ASCFONT.15      3840

Look at the disproportionate STDFONTS and STDFONT1 you will immediately
realise that the font file is not split into two according to the
common/rare attribute.

So I wrote a short QBASIC program to peek into each individual file for
a closer study. To my surprise, the start of STDFONTS is the character
Ying2 (HuanYing2 Welcome) code AAEF, and it ends with the last very very
rare character.

The start of STDFONT1 is of course the character ONE.

If you note the size of STDFONTS i.e. 360330, it just tightly fit into a
360K floppy disk!!!

As for the 24x24 bitmap files, all Chinese Characters are stored in ONE
contiguous file of size 942768. I guess this only come to exist in the
days of hard disk, so the size of font does not matter.

But why Eten 3.0 still used STDFONTS.15 and STDFONT1.15?? I don't see
any other answer other than that this is a quick and dirty solution
which perhaps the programmers are lazy to change.  I have not seen the
latest version 3.5, so I am not sure how is their attitude now.  (I do
not use Eten 3.5 because I prefer CStar. )

Liangsheng WU

ps.  In other previous posting of mine, I proposed FeiChangGuiZi
Protocol to solve the problem of lack of Chinese Character.  With this
protocol, we can implement **INFINITE** number of Chinese character
regardless of which set are you using. I am still hoping to see it
implemented.